Raspbian GLIBC upgrade (2.24 -> 2.28 )

背景

諸事情あってGLIBCが2.28出ないと動かないプログラムをraspbianで動かしたかった。 しかしstretchには2.28がない、ソースからのビルドも失敗という状況

解決策

次のRaspbianのバージョンbusterのリポジトリには2.28があるという情報をみたのでaptのソースに追加してインストールした。

$ echo "deb http://ftp.jaist.ac.jp/raspbian/ buster main" >> /etc/apt/sources.list
$ apt update && apt -y install libc-bin

このときapt upgradeすると色々影響が出るかもしれないのでそっとしておき、/etc/apt/sources.listを元に戻した。